"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const cosmiconfig_1 = require("cosmiconfig");
const path_1 = require("path");
async function useConfig(options) {
    const cosmi = cosmiconfig_1.cosmiconfig("bob", {
        cache: true,
        searchPlaces: ["bob.config.js"],
    });
    const config = await ((options === null || options === void 0 ? void 0 : options.config) ? cosmi.load(path_1.isAbsolute(options.config)
        ? options.config
        : path_1.resolve(process.cwd(), options.config))
        : cosmi.search());
    if (!config) {
        throw new Error("Config not found.");
    }
    if (config.isEmpty) {
        throw new Error("Config is empty.");
    }
    return config.config;
}
exports.useConfig = useConfig;
